質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.64%

OrangeSignalをEclipseで使えるようにしたい

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 2,693

k499778

score 526

環境
IDE:Eclipse
FE:SpringFramework
言語:Java

現在この環境でCSV出力処理を実装しようとしています。
そこでOrangeSignalを使って実装を試みようとしているのですが
http://orangesignal.github.io/orangesignal-csv/dependency-info.html
いまいちダウンロードしてEclipseにインストールしてOrangeSignalを使えるようにするまでの流れがわかりません。

EclipseでOrangeSignalを使えるようにするまでの手順をお教えいただけないでしょうか?

軽いアドバイスやきっかけでもいいので
もしわかる方がいればよろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+2

Javaのオープンソースライブラリーを使う場合、最近ではほとんどがMavenやGradleなどのビルドツールを使うのが前提になっています。
まずは、その環境を整えましょう。
Eclipseなら、Mavenプラグイン(m2e)、Gradleプラグインがあります。
WindowsのPleiades All-In-Oneなら両方入っています。

例えば、Ryoさんの回答のリンク先にあるpom.xmlというのはMavenの設定ファイルです。
dependency(依存関係)にライブラリーを追加してMavenの更新を実行すると、自動的にビルドパスにライブラリーが追加されます。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/16 17:27

    回答有り難うございます。

    MacなのでEclipseにMavenプラグイン(m2e)、Gradleプラグインが入っているかどうか現在確認中です。確認方法をまずは調べています。

    そういうことだったんですね。そのようなインストール方法をしたことがなかったのでわかっていませんでした。

    現在アドバイス通りpom.xmlに
    http://orangesignal.github.io/orangesignal-csv/dependency-info.html

    <dependency>
    <groupId>com.orangesignal</groupId>
    <artifactId>orangesignal-csv</artifactId>
    <version>2.2.2-SNAPSHOT</version>
    </dependency>

    を追加してビルドしてみましたがビルドエラーが発生してしまいました。

    エラー内容は以下です。
    「Missing artifact com.orangesignal:orangesignal-csv:jar:2.2.2-SNAPSHOT」


    追加箇所は以下です。
    ---
    <!-- Test -->
    <dependency>
    <groupId>junit</groupId>
    <artifactId>junit</artifactId>
    <version>4.7</version>
    <scope>test</scope>
    </dependency>

    <dependency>
    <groupId>com.orangesignal</groupId>
    <artifactId>orangesignal-csv</artifactId>
    <version>2.2.2-SNAPSHOT</version>
    </dependency>
    </dependencies>
    ---


    現在調査中ですが、もしアドバイスいただけたら有り難いです。

    キャンセル

  • 2016/07/16 17:32

    http://did2memo.net/2012/10/23/maven-eclipse-mvn-version/

    上記サイトを参考にmavenバージョンを確認するとコンソールに結果が返ってきました。

    Apache Maven 3.0.4 (r1232337; 2012-01-17 17:44:56+0900)

    ってことはm2eはインストールできているのかなあ。

    もう少し調べてみます。

    キャンセル

  • 2016/07/16 17:46

    SNAPSHOTというのは開発中のビルドのことです。
    SNAPSHOTは通常Mavenリポジトリーには上げないと思うので、ドキュメントが正しくないように思います。

    バージョンを2.2.1にすると上手く行くと思います。

    詳しくは、下記ページを参照してください。

    orangesignal/orangesignal-csv: CSV (comma-separated values) read and write library for Java.
    https://github.com/orangesignal/orangesignal-csv

    Maven Repository: com.orangesignal » orangesignal-csv » 2.2.1
    https://mvnrepository.com/artifact/com.orangesignal/orangesignal-csv/2.2.1

    キャンセル

  • 2016/07/16 17:58

    回答有り難うございます。
    バージョンを2.2.1にすると上手くいきました!
    ビルドエラーがなくなりビルドを通すことができました。
    ありがとうございます。


    ---
    <!-- Test -->
    <dependency>
    <groupId>junit</groupId>
    <artifactId>junit</artifactId>
    <version>4.7</version>
    <scope>test</scope>
    </dependency>

    <!-- CSV -->
    <dependency>
    <groupId>com.orangesignal</groupId>
    <artifactId>orangesignal-csv</artifactId>
    <version>2.2.1</version>
    </dependency>
    </dependencies>
    ---

    キャンセル

+2

使ったことないものを使うときは、
普通、クイックスタートとかユーザガイドをみます。

幸いなことに日本語で書かれているクイックスタートユーザガイドが公式サイトにありますが、それでは不足していますか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/16 17:17

    回答有り難うございます。
    一応見ました。
    ただよくやるプラグインのインストール方法がjarファイルなどをダウンロードして
    Eclipseのlibに追加したりするものだったので、よくわかっていませんでした。

    arguisさんの回答を見てpoml.xmlに追加してビルドすると追加されると知りました。

    そこでpom.xmlに追加してみたのですが、ビルドエラーが発生してしまいました。

    今はそれの解決に努めています。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.64%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる